<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Dynamicweb.Frontend.Classic.Authentication</name>
    </assembly>
    <members>
        <member name="M:Dynamicweb.Frontend.Classic.Authentication.AuthenticationHandler.ExternalLogOn(System.Int32,System.String)">
            <summary>
            Initiates authentication via an external login provider.
            </summary>
            <param name="providerId">The provider id</param>
            <param name="returnUrl">The return url</param>
            <returns></returns>
        </member>
        <member name="M:Dynamicweb.Frontend.Classic.Authentication.AuthenticationHandler.ExternalSignIn">
            <summary>
            Completes the authentication process: handles the external provider’s response and sign the user in.
            </summary>
            <returns></returns>
        </member>
        <member name="M:Dynamicweb.Frontend.Classic.Authentication.AuthenticationManager.ExternalLogOn(System.Int32,System.String)">
            <summary>
            Initiates authentication via an external login provider.
            </summary>
            <param name="providerId">The provider id</param>
            <param name="returnUrl">The return url</param>
            <returns></returns>
        </member>
        <member name="M:Dynamicweb.Frontend.Classic.Authentication.AuthenticationManager.ExternalSignIn">
            <summary>
            Completes the authentication process: handles the external provider’s response and sign the user in.
            </summary>
            <returns></returns>
        </member>
    </members>
</doc>
